cctools.h File Reference

Common CCTools functions for version and common output management. More...

`#include <stdio.h>`
`#include <stdint.h>`

Go to the source code of this file.

## Functions

void | cctools_version_print (FILE *stream, const char *cmd)
| Print the version of the software to the file stream.
char * | cctools_version_string ()
| Return a string with MAJOR.MINOR.MICRO version.
void | cctools_version_debug (uint64_t type, const char *cmd)
| Create a new buffer.

## Detailed Description

Common CCTools functions for version and common output management.

## Function Documentation

## cctools_version_print()

void cctools_version_print | ( | FILE * | stream,
|  | const char * | cmd )

Print the version of the software to the file stream.

Parameters

  stream | The file stream to print to.
  cmd | The name of the program running (argv[0]).

## cctools_version_string()

char * cctools_version_string | ( |  | ) |

Return a string with MAJOR.MINOR.MICRO version.

It is the responsibility of the caller to free the string.

Returns
  version string

## cctools_version_debug()

void cctools_version_debug | ( | uint64_t | type,
|  | const char * | cmd )

Create a new buffer.

Parameters

  type | The debug type.
  cmd | The name of the program running (argv[0]).